### Property

# Gdk DeviceTool:tool-type

since: 4.0

#### Declaration

    property tool-type: Gdk.DeviceToolType [ read, write, construct-only ]

#### Description [src]

The type of the tool.

Type: | `GdkDeviceToolType`
Available since: | 4.0

Default value | GDK_DEVICE_TOOL_TYPE_UNKNOWN
Getter method | `gdk_device_tool_get_tool_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes